Subject: Re: bug#45056: 28.0.50; lexical-let doesn't work with returned closures on nativecomp

From: Andrea Corallo <[email-masked]>
Date: Sat, 05 Dec 2020 22:06:56 +0000

"Mark A. Hershberger" <[email-masked]> writes:

> On Dec 5, 2020, at 4:21 PM, Mark A. Hershberger [email-masked] wrote:
>
>>> have you checked if this behavior is common to the non native build?
>> 
>> I can compile a non-native build and verify that the problem goes away.  I'll
>> report back when it is done.
>
> Compiled a non-native emacs and it did not exhibit this bug.

Hi Mark thanks for checking.

could you provide a reproducer I can load and run possibly with -batch?

Thanks

  Andrea